.ysh-table-button_list {
	width: 7.5em;
	min-width: 7.5em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-button_0 {
	width: 2.19em;
	min-width: 2.19em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-button_1 {
	width: 4.06em;
	min-width: 4.06em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-button_2 {
	width: 5.63em;
	min-width: 5.63em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-button_3 {
	width: 7.5em;
	min-width: 7.5em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-button_4 {
	width: 9.37em;
	min-width: 9.37em;
	text-align: center;
	padding: 0.13em 0.25em;
}

.ysh-table-SHORT_CODE {
	width: 10em;
	min-width: 10em;
	text-align: left;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	font-family: Inconsolata, "courier new";
}

.ysh-table-LONG_CODE {
	width: 15em;
	min-width: 15em;
	text-align: left;
	font-family: Inconsolata, "courier new";
}

.ysh-table-SHORT_STRING {
	width: 10em;
	min-width: 10em;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	text-align: left;
}

.ysh-table-LONG_STRING {
	width: 15em;
	min-width: 15em;
	text-align: left;
}

.ysh-table-INTEGER {
	width: 5em;
	min-width: 5em;
	text-align: right;
}

.ysh-table-LONG {
	width: 5em;
	min-width: 5em;
	text-align: right;
}

.ysh-table-DECIMAL {
	width: 7.5em;
	min-width: 7.5em;
	text-align: right;
}

.ysh-table-DECIMAL_PRECISION {
	width: 7.5em;
	min-width: 7.5em;
	text-align: right;
}

.ysh-table-DATE {
	width: 9.38em;
	min-width: 9.38em;
	text-align: center;
	overflow: visible !important;
}

.ysh-table-TIME {
	width: 9.38em;
	min-width: 9.38em;
	text-align: center;
	overflow: visible !important;
}

.ysh-table-DATE_TIME {
	width: 11.25em;
	min-width: 11.25em;
	text-align: center;
	overflow: visible !important;
}

.ysh-table-BOOLEAN {
	width: 3.75em;
	min-width: 3.75em;
	text-align: center;
}

.ysh-table-COMPONENT {
	width: 5.63em;
	min-width: 5.63em;
	text-align: center;
}

.ysh-table-REFERENCE,
.ysh-table-REFERENCE_LIST {
	width: 15em;
	min-width: 15em;
	text-align: left;
}

.ysh-table-IMAGE,
.ysh-table-DOCUMENT {
	width: 22em;
	min-width: 22em;
	text-align: left;
}

.table>tbody>tr>th,
.table>tbody>tr>td,
.table>tfoot>tr>th,
.table>tfoot>tr>td,
.table>thead>tr>th,
.table>thead>tr>td {
	padding: 0.25em 0.25em;
}

/* Target only the Header cells */
table.table.dataTable>thead>tr>th,
table.table.dataTable>thead>tr>td,
table.table.dataTable>tfoot>tr>th,
table.table.dataTable>tfoot>tr>td {
	color: white;
	/* We override the inset shadow which often hides background colors */
	box-shadow: inset 0 0 0 9999px #2086cf;
}